framework:
  messenger:
    # Configuración obligatoria del bus por defecto
    default_bus: messenger.bus.default
    
    # Configuración de transportes
    transports:
      async_emails:
        dsn: 'doctrine://default'
        options:
          queue_name: 'emails'
        retry_strategy:
          max_retries: 2
          delay: 1000
          multiplier: 2
    
    # Configuración de routing
    routing:
      'App\Message\EnvioMailCortesiaMessage': async_emails
    
    # Configuración de buses (obligatoria)
    buses:
      messenger.bus.default:
        middleware:
          # Middlewares recomendados para DB
          - doctrine_ping_connection
          - doctrine_close_connection
          - doctrine_transaction